Subject: Re: linux-next: build failure after merge of the final tree (wireless & staging trees related)

From: "John W. Linville" <[email-masked]>
Date: Fri, 12 Aug 2011 09:51:02 -0400

On Fri, Aug 12, 2011 at 12:12:16PM +1000, Stephen Rothwell wrote:
> Hi Kalle, Greg,
> 
> On Thu, 11 Aug 2011 18:50:57 +0300 Kalle Valo <[email-masked]> wrote:
> >
> > On 08/11/2011 05:16 PM, Greg KH wrote:
> > > On Thu, Aug 11, 2011 at 11:05:42AM +0300, Kalle Valo wrote:
> > >
> > >> Yes, the cleaned up version of ath6kl is now in wireless-next and the
> > >> staging version can be removed in 3.2. Greg, how do you want to handle
> > >> removal of the staging version? Should I send a patch to you removing
> > >> it? Or should I send the patch to John?
> > > 
> > > Just tell me.  Should I really delete drivers/staging/ath6kl/ for the
> > > 3.2 kernel release?  If so, I'll gladly do so in my tree so linux-next
> > > will be fine for issues like this in the future.
> > 
> > Yes, please delete ath6kl from staging for the 3.2 release as the
> > cleanup version is now in wireless-next.
> > 
> > Thank you everyone and sorry for the mess.
> 
> I think that the removal should be done in the wirelesss tree so that
> Linus' tree is not broken during the next merge window.
> 
> I have added the removal patch as a merge fixup one the merge of the
> wireless tree for today.

Makes sense to me -- probably also is more sane if there is some fool
out there relying on the ath6kl driver in staging that doesn't know
about the switch to the wireless tree.

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.